Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class AxisClient

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.apache.axis.AxisEngine
              org.apache.axis.client.AxisClient

All Implemented Interfaces:
  Handler, java.io.Serializable

public class AxisClient
extends AxisEngine

Provides the equivalent of an "Axis engine" on the client side. Subclasses hardcode initialization & setup logic for particular client-side transports.

Author:
  Rob Jellinghaus (robj@unrealities.com), Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@allaire.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.AxisEngine
`_hasSafePassword, classCache, config, DEFAULT_ATTACHMENT_IMPL, ENV_ATTACHMENT_DIR, ENV_SERVLET_CONTEXT, ENV_SERVLET_REALPATH, PROP_ATTACHMENT_CLEANUP, PROP_ATTACHMENT_DIR, PROP_ATTACHMENT_IMPLEMENTATION, PROP_BP10_COMPLIANCE, PROP_BYTE_BUFFER_BACKING, PROP_BYTE_BUFFER_CACHE_INCREMENT, PROP_BYTE_BUFFER_RESIDENT_MAX_SIZE, PROP_BYTE_BUFFER_WORK_BUFFER_SIZE, PROP_DEBUG_FILE, PROP_DEBUG_LEVEL, PROP_DEFAULT_CONFIG_CLASS, PROP_DISABLE_PRETTY_XML, PROP_DOMULTIREFS, PROP_DOTNET_SOAPENC_FIX, PROP_EMIT_ALL_TYPES, PROP_ENABLE_NAMESPACE_PREFIX_OPTIMIZATION, PROP_PASSWORD, PROP_SEND_XSI, PROP_SOAP_ALLOWED_VERSION, PROP_SOAP_VERSION, PROP_SYNC_CONFIG, PROP_TWOD_ARRAY_ENCODING, PROP_XML_DECL, PROP_XML_ENCODING, PROP_XML_REUSE_SAX_PARSERS, shouldSaveConfig`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`AxisClient()`
`AxisClient(EngineConfiguration config)`

Method Summary
`AxisEngine` | `getClientEngine()` Client engine access.
`protected HandlerChain` | `getJAXRPChandlerChain(MessageContext context)`
`void` | `invoke(MessageContext msgContext)` Main routine of the AXIS engine.

Methods inherited from class org.apache.axis.AxisEngine
`addActorURI, cleanup, getActorURIs, getApplicationSession, getClassCache, getConfig, getCurrentMessageContext, getGlobalRequest, getGlobalResponse, getHandler, getService, getTransport, getTypeMappingRegistry, hasSafePassword, init, normaliseOptions, refreshGlobalOptions, removeActorURI, saveConfiguration, setAdminPassword, setCurrentMessageContext, setShouldSaveConfig`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### AxisClient

    public AxisClient(EngineConfiguration config)

### AxisClient

    public AxisClient()

Method Detail

### getClientEngine

    public AxisEngine getClientEngine()

  Description copied from class: `AxisEngine`
  Client engine access.

  An AxisEngine may define another specific AxisEngine to be used by newly created Clients. For instance, a server may create an AxisClient and allow deployment to it. Then the server's services may access the AxisClient's deployed handlers and transports.

  Specified by:
    `getClientEngine` in class `AxisEngine`
  Returns:
    this instance, as this is the client engine

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Main routine of the AXIS engine. In short we locate the appropriate handler for the desired service and invoke() it.

  Parameters:
    `msgContext` - the `MessageContext` to invoke relative to
  Throws:
    `AxisFault` - if anything goes wrong during invocation

### getJAXRPChandlerChain

    protected HandlerChain getJAXRPChandlerChain(MessageContext context)

  Parameters:
    `context` - Stores the Service, port QName and optionnaly a HandlerInfoChainFactory
  Returns:
    Returns a HandlerChain if one has been specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.